# Natural language processing

This repository provides all code that is needed to build a container image for natural language processing utilising [spaCy](https://spacy.io).
In case you don't want to build the image by yourself, there is also a prebuild image that can be used in the [registry](https://gitlab.ub.uni-bielefeld.de/sfb1288inf/nlp/container_registry).

## Build the image

```console
user@machine:~$ cd <path-to-this-repository>
user@machine:~$ docker build -t gitlab.ub.uni-bielefeld.de:4567/sfb1288inf/nlp .
```

## Starting a container

```console
user@machine:~$ docker run \
  --name nlp-container \
  -dit \
  -v <your-input-directory>:/root/files_for_nlp \
  -v <your-output-directory>:/root/files_from_nlp \
  gitlab.ub.uni-bielefeld.de:4567/sfb1288inf/nlp
```

## Start a natural language processing run

```console
user@machine:~$ docker exec -it nlp-container \
  nlp -i files_for_nlp -o files_from_nlp -l <language-code>
```

Where <language-code> needs to be one of the following:

* de (Deutsch)
* en (Englisch)
* es (Spanish)
* fr (Französisch)
* pt (Portugisisch)